

#include "DHT.h" 
#define DHTPIN D4
#define DHTTYPE DHT11 
DHT dht(DHTPIN, DHTTYPE);
#include <Wire.h> 
#include <LiquidCrystal_I2C.h>
LiquidCrystal_I2C lcd(0x27, 16, 2); 

#include "Ubidots.h"
#define TOKEN "BBUS-h1Bv2aSTctldc8BXe734szeRlExrYd" // Your Ubidots TOKEN
#define WIFINAME "SUPERONLINE_Wi-Fi_4DN2" //Your SSID
#define WIFIPASS "XRSdQbGPP27Z" // Your Wifi Pass
int vs = A0;
int vs1 = D3;
int percentValue = 0;
Ubidots client(TOKEN);
unsigned long lastMillis = 0;

void setup(){
    Serial.begin(115200);
    dht.begin();
    delay(10);
    client.wifiConnect(WIFINAME, WIFIPASS);
    pinMode(vs ,INPUT);
    pinMode(vs1 ,INPUT);
    
    lcd.begin();
    lcd.backlight();
    lcd.home();
}
void loop(){

    if (millis() - lastMillis > 20000) {  ///every 10S

      float humedad = dht.readHumidity();
      float temperature = dht.readTemperature();
      float soil      = analogRead(vs);
      float data1      = digitalRead(vs1);
      percentValue = map(soil, 1023, 200, 0, 100);
            lastMillis = millis();
            client.add("humidity", humedad);
           
            client.add("temp", temperature);
           
            client.add("soil", percentValue);
           
            client.add("LDR", data1);
            
            client.send();
          
            lcd.clear();
        lcd.setCursor(0, 0);
        lcd.print("H:"); 
        lcd.print(humedad); 
        lcd.print("% S:"); 
        lcd.print(percentValue); 
        lcd.print("%");
        
        lcd.setCursor(0, 1);
        lcd.print("T:"); 
        lcd.print(temperature); 
        lcd.print("C L:"); 
        lcd.print(data1); 
        lcd.print("%");

            
            delay(500);
  Serial.print(temperature);
  Serial.print(",");
  Serial.print(humedad);
  Serial.print(",");
  Serial.print(soil);
  Serial.print(",");
  Serial.println(data1);
        
            }

 
   
}
